Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Clap de fin pour Fedora Linux 35 !

#1 27/02/2022 00:13:27

YugutenLNX
Membre
Inscription : 20/04/2020
Messages : 14

[Résolu] Libreoffice ou Openoffice?

Salut tout le monde.

Libreoffice est installé par défaut dans Fédora, le dilemme pour moi, que choisir entre Libreoffice est Openoffice?
J'ai trouvé la réponse qui suit très convaincante:

https://cutt.ly/tP8nHu7

J'ai donc suivi les instruction du lien suivant:

https://cutt.ly/AP8mRpp

Le hic, après la désinstallation de Libreoffice, des messages d'erreurs s'affichent quand j'essaie de lancer Openoffice selon le même lien.

[root@fedora *****]# cd desktop-integration/
bash: cd: desktop-integration/: Aucun fichier ou dossier de ce type

[root@fedora *****]# sudo rpm -i openoffice4.1.10-freedesktop-menus-4.1.10-9807.noarch.rpm
erreur : échec de l'ouverture de openoffice4.1.10-freedesktop-menus-4.1.10-9807.noarch.rpm: Aucun fichier ou dossier de ce type

J'ai dû donc réinstaller Libreoffice par la suite.

1- SVP comment faire pour lancer Openoffice?
2- Peut-on faire faire fonctionner les deux logiciels dans un même environnement?

Merci.

Hors ligne

#2 27/02/2022 00:33:30

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] Libreoffice ou Openoffice?

J'ai trouvé la réponse qui suit très convaincante:

Je ne vois pas ce qui a emporté ta conviction, mais c'est ton choix.

cd: desktop-integration/: Aucun fichier ou dossier de ce type

Qu'est-ce que tu ne comprends pas dans ce message ?

échec de l'ouverture de openoffice4.1.10-freedesktop-menus-4.1.10-9807.noarch.rpm: Aucun fichier ou dossier de ce type

idem

1- SVP comment faire pour lancer Openoffice?

Tu as lu le manuel ?

2- Peut-on faire faire fonctionner les deux logiciels dans un même environnement?

Rien ne s'y oppose.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#3 27/02/2022 06:57:41

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 667

Re : [Résolu] Libreoffice ou Openoffice?

YugutenLNX a écrit :

Salut tout le monde.
[...]
[root@fedora *****]# cd desktop-integration/
bash: cd: desktop-integration/: Aucun fichier ou dossier de ce type
[root@fedora *****]# sudo rpm -i openoffice4.1.10-freedesktop-menus-4.1.10-9807.noarch.rpm
erreur : échec de l'ouverture de openoffice4.1.10-freedesktop-menus-4.1.10-9807.noarch.rpm: Aucun fichier ou dossier de ce type
J'ai dû donc réinstaller Libreoffice par la suite.
1- SVP comment faire pour lancer Openoffice?
2- Peut-on faire faire fonctionner les deux logiciels dans un même environnement?
Merci.

il est bien précisé  Now cd into the ‘desktop-integration’ directory from inside the ‘RPMS’ folder mais tout donne l'impression que tu essaies d'y accéder à la racine de ton home.
À noter qu'il y a une version openoffice4.1.11

Il est aussi dommage de passer par rpm -i pour l'installer, dnf aurait été plus propre. Cela fait quand même beaucoup de complication pour une marche arrière


F37, Kde/plasma Wayland, ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#4 27/02/2022 10:09:37

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] Libreoffice ou Openoffice?

fgland a écrit :

Il est aussi dommage de passer par rpm -i pour l'installer, dnf aurait été plus propre.

Et que fait dnf à ton avis ? Il lance rpm. Ca suffit si le paquet à installer est autosuffisant.


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#5 27/02/2022 11:36:29

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 667

Re : [Résolu] Libreoffice ou Openoffice?

oui mais comme déjà dit, rpm n'informe pas dnf qu'il a fait des modifications du système et comme Fedora est normalement géré par dnf...


F37, Kde/plasma Wayland, ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#6 27/02/2022 12:07:32

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] Libreoffice ou Openoffice?

Qu'est-ce qui te fait croire que dnf - puisqu'il utilise rpm - ne met pas à jour rpmdb ?


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

#7 27/02/2022 12:26:05

didierg
Bricoleur du dimanche
Modérateur
Inscription : 11/07/2005
Messages : 5 743

Re : [Résolu] Libreoffice ou Openoffice?

Pour faire simple:

Au début il y avait StarWriter puis StarOffice développés par la société allemande Star Division.

Le 5 août 1999, Star Division a été racheté par Sun Microsystems. Suite à ce rachat StarOffice est renommé OpenOffice et devient un logiciel libre avec une grande partie de son code sous licence LGPL.

Le 27 janvier 2010 - jour funeste pour certains, Sun Microsystems est racheté par Oracle qui est surtout intéressé par Java. Suite à ce rachat le projet OpenOffice devint vite moribond.

Comme la majeur partie du code est sous licence LGPL, des développeurs extérieurs à Oracle reprennent le projet mais Oracle ne leur concède par l'autorisation d'utiliser le nom OpenOffice. Le projet extérieur à Oracle prend alors le nom de LibreOffice.

Aujourd'hui il n'y a pas à tergiverser, il faut utiliser LibreOffice.

Dernière modification par didierg (27/02/2022 13:19:05)

Hors ligne

#8 27/02/2022 17:08:49

fgland
Rédacteur Wiki
Rédacteur Wiki
Lieu : Lituanie
Inscription : 09/08/2004
Messages : 3 667

Re : [Résolu] Libreoffice ou Openoffice?

nouvo09 a écrit :

Qu'est-ce qui te fait croire que dnf - puisqu'il utilise rpm - ne met pas à jour rpmdb ?

il n'y a pas que rpmdb.
le simple fait de supprimer un paquet avec rpm laisse toujours le paquet installé en dnf, il faut utiliser --force pour passer outre,
On en a parlé dans un fil pas très ancien ou l'auteur n'arrivait pas à réinstaller un programme désinstallé avec rpm mais je ne le retrouve pas. Il me semble que tu étais intervenu avec la même objection, ce qui est au moins signe de non-contradiction


F37, Kde/plasma Wayland, ASUSTeK M5A78L-M/USB3, AMD FX-6300, NVIDIA GM107 [GeForce GTX 750 Ti], 8Go de mémoire

Hors ligne

#9 28/02/2022 00:18:04

YugutenLNX
Membre
Inscription : 20/04/2020
Messages : 14

Re : [Résolu] Libreoffice ou Openoffice?

Après longue réflexion, j'opte pour Libreoffice, Bricoleur du dimanche m'a convaincu.

Merci à tous.

Hors ligne

#10 05/05/2022 21:14:25

ChristianPaule
Membre
Inscription : 17/12/2018
Messages : 20

Re : [Résolu] Libreoffice ou Openoffice?

D'après mon humble avis d'informaticien spécialisé dans le libre, il faut impérativement rester sous Libre Office, Open Office est obsolète.

Hors ligne

#11 06/05/2022 14:48:22

nouvo09
Accro à Fedo !
Lieu : Paris
Inscription : 22/09/2005
Messages : 23 936

Re : [Résolu] Libreoffice ou Openoffice?

fgland a écrit :
nouvo09 a écrit :

Qu'est-ce qui te fait croire que dnf - puisqu'il utilise rpm - ne met pas à jour rpmdb ?

il n'y a pas que rpmdb.
le simple fait de supprimer un paquet avec rpm laisse toujours le paquet installé en dnf, il faut utiliser --force pour passer outre,

dnf install nextcloud-client.x86_64
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:35 le ven. 06 mai 2022 14:42:49 CEST.
Dépendances résolues.
====================================================================================================
 Paquet                         Architecture    Version                      Dépôt            Taille
====================================================================================================
Installation:
 nextcloud-client               x86_64          2.6.1-1.fc29                 updates          2.0 M
Installation des dépendances:
 minizip                        x86_64          1.2.11-18.fc29               updates           30 k
 nextcloud-client-libs          x86_64          2.6.1-1.fc29                 updates          632 k
 qt5-qtwebengine                x86_64          5.12.5-2.fc29                updates           44 M
 re2                            x86_64          1:20160401-11.fc29           updates          169 k
 snappy                         x86_64          1.1.7-8.fc29                 updates           31 k
 qtkeychain-qt5                 x86_64          0.7.0-7.fc29                 fedora            56 k

Résumé de la transaction
====================================================================================================
Installer  7 Paquets

Taille totale des téléchargements : 47 M
Taille des paquets installés : 141 M
Voulez-vous continuer ? [o/N] : o
Téléchargement des paquets :
(1/7): minizip-1.2.11-18.fc29.x86_64.rpm                            200 kB/s |  30 kB     00:00    
(2/7): nextcloud-client-libs-2.6.1-1.fc29.x86_64.rpm                1.9 MB/s | 632 kB     00:00    
(3/7): re2-20160401-11.fc29.x86_64.rpm                              2.7 MB/s | 169 kB     00:00    
(4/7): snappy-1.1.7-8.fc29.x86_64.rpm                               804 kB/s |  31 kB     00:00    
(5/7): qtkeychain-qt5-0.7.0-7.fc29.x86_64.rpm                       1.1 MB/s |  56 kB     00:00    
(6/7): nextcloud-client-2.6.1-1.fc29.x86_64.rpm                     3.2 MB/s | 2.0 MB     00:00    
(7/7): qt5-qtwebengine-5.12.5-2.fc29.x86_64.rpm                     8.1 MB/s |  44 MB     00:05    
----------------------------------------------------------------------------------------------------
Total                                                               7.6 MB/s |  47 MB     00:06     
Test de la transaction en cours
La vérification de la transaction a réussi.
Lancement de la transaction de test
Transaction de test réussie.
Exécution de la transaction
  Préparation en cours  :                                                                       1/1 
  Installation          : qtkeychain-qt5-0.7.0-7.fc29.x86_64                                    1/7 
  Exécution du scriptlet: qtkeychain-qt5-0.7.0-7.fc29.x86_64                                    1/7 
  Installation          : snappy-1.1.7-8.fc29.x86_64                                            2/7 
  Installation          : re2-1:20160401-11.fc29.x86_64                                         3/7 
  Installation          : minizip-1.2.11-18.fc29.x86_64                                         4/7 
  Installation          : qt5-qtwebengine-5.12.5-2.fc29.x86_64                                  5/7 
  Exécution du scriptlet: qt5-qtwebengine-5.12.5-2.fc29.x86_64                                  5/7 
  Installation          : nextcloud-client-libs-2.6.1-1.fc29.x86_64                             6/7 
  Installation          : nextcloud-client-2.6.1-1.fc29.x86_64                                  7/7 
  Exécution du scriptlet: nextcloud-client-2.6.1-1.fc29.x86_64                                  7/7 
  Vérification de       : minizip-1.2.11-18.fc29.x86_64                                         1/7 
  Vérification de       : nextcloud-client-2.6.1-1.fc29.x86_64                                  2/7 
  Vérification de       : nextcloud-client-libs-2.6.1-1.fc29.x86_64                             3/7 
  Vérification de       : qt5-qtwebengine-5.12.5-2.fc29.x86_64                                  4/7 
  Vérification de       : re2-1:20160401-11.fc29.x86_64                                         5/7 
  Vérification de       : snappy-1.1.7-8.fc29.x86_64                                            6/7 
  Vérification de       : qtkeychain-qt5-0.7.0-7.fc29.x86_64                                    7/7 

Installé:
  nextcloud-client-2.6.1-1.fc29.x86_64                minizip-1.2.11-18.fc29.x86_64                 
  nextcloud-client-libs-2.6.1-1.fc29.x86_64           qt5-qtwebengine-5.12.5-2.fc29.x86_64          
  re2-1:20160401-11.fc29.x86_64                       snappy-1.1.7-8.fc29.x86_64                    
  qtkeychain-qt5-0.7.0-7.fc29.x86_64                 

Terminé !
[Tower F29]/root # dnf list installed nextcloud-client
Paquets installés
nextcloud-client.x86_64                            2.6.1-1.fc29                             @updates
[Tower F29]/root # rpm -e nextcloud-client
erreur : Dépendances requises:
	nextcloud-client(x86-64) = 2.6.1-1.fc29 est nécessaire pour (déjà installé) nextcloud-client-libs-2.6.1-1.fc29.x86_64
[Tower F29]/root # rpm -e nextcloud-client-libs
erreur : Dépendances requises:
	libnextcloudsync.so.0()(64bit) est nécessaire pour (déjà installé) nextcloud-client-2.6.1-1.fc29.x86_64
	libocsync.so.0()(64bit) est nécessaire pour (déjà installé) nextcloud-client-2.6.1-1.fc29.x86_64
	nextcloud-client-libs(x86-64) = 2.6.1-1.fc29 est nécessaire pour (déjà installé) nextcloud-client-2.6.1-1.fc29.x86_64
[Tower F29]/root # rpm -e nextcloud-client nextcloud-client-libs
[Tower F29]/root # dnf list installed nextcloud-client
Erreur : Aucun paquet correspondant à lister
[Tower F29]/root # 

et now ?


C'est pas parce que c'est difficile qu'on n'ose pas,
c'est parce qu'on ose pas que c'est difficile !

Hors ligne

Pied de page des forums